<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    
    <style>
        .xyz{
            width: 200px;
            height: 300px;
            background-color: orangered;
            border: 1px solid red;
        }
    </style>
</head>
<body>
    <h1 id="heading1">document element</h1>
    <p id="para">paragarph your in</p>
    <button id="btn" onclick="alert('good morning')">click</button>
    <div class="btn-grp">
        <button id="btn1" class="btnclass">Button 1</button>
        <button id="btn2" class="btnclass">Button 2</button>
        <button id="btn3" class="btnclass">Button 3</button>
        <button id="btn4" class="btnclass">Button 4</button>
        <button id="btn5" class="btnclass">Button 5</button>
    </div>
    <script>
        let sent=document.getElementById('para')
        sent.style.border="1px solid green"
        sent.innerHTML="good morning amrith"
        const head=document.getElementById('heading1')
        head.style.color="red";
        head.style.fontSize="100px"
        head.style.textAlign="center"
        head.innerHTML="talentsprint"
        let but=document.getElementById('btn')
        but.style.width="100px"
        but.style.height="100px"
        but.style.borderRadius="50px"
        const btns = document.getElementsByTagName('button');
        const newbox=document.createElement('div')
        newbox.className='xyz';
        document.body.append('newbox');
        
        for(btn of btns){
            btn.addEventListener('click',(e)=>{console.log(e.target.innerHTML);})
        }


    </script>
</body>
</html>